Name:           ocaml-libvirt
Version:        0.6.1.4
Release:        %mkrel 6
Summary:        OCaml binding for libvirt
License:        LGPLv2+
Group:          Development/OCaml

URL:            http://libvirt.org/ocaml/
Source0:         http://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz

# Upstream patch to fix int types.
Patch1:         0001-Use-C99-standard-int64_t-instead-of-OCaml-defined-an.patch

# Upstream patch to add virDomainCreateXML binding.
Patch2:         0001-Add-a-binding-for-virDomainCreateXML.patch

# Upstream patches to fix error handling.
Patch3:         0001-Suppress-errors-to-stderr-and-use-thread-local-virEr.patch
Patch4:         0002-Don-t-bother-checking-return-from-virInitialize.patch

# Upstream patch to remove unused function.
Patch5:         0001-Remove-unused-not_supported-function.patch

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel

BuildRequires:  libvirt-devel >= 0.2.1
BuildRequires:  perl
BuildRequires:  gawk


%description
ocaml-libvirt are OCaml bindings for libvirt, allowing you to write OCaml
programs and scripts which control virtualization features. Some things which
you might want to do with ocaml-libvirt:

* Monitor performance of virtual machines
* Pause and resume virtual machines according to demand
* Provision new virtual machines automatically for customers
* Configure how virtual machines are networked together

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       libvirt-devel
Requires:       %{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
%configure2_5x
make all doc
%make opt


%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install-opt \
    OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml" \
    DESTDIR=%{buildroot}


%files
%doc COPYING.LIB README ChangeLog
%dir %{_libdir}/ocaml/libvirt
%{_libdir}/ocaml/libvirt/*.cmi
%{_libdir}/ocaml/libvirt/*.cma
%{_libdir}/ocaml/libvirt/META
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc COPYING.LIB README TODO.libvirt ChangeLog html/*
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.cmx
%{_libdir}/ocaml/libvirt/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.6.1.4-6.mga6
+ Revision: 1056418
- Rebuild for fix in ocaml

* Wed Apr 27 2016 tv <tv> 0.6.1.4-5.mga6
+ Revision: 1006783
- kill useless BRs
- package most of the doc in devel pkg
- package .so.owner file
- BR ocaml-compiler

* Wed Apr 27 2016 tv <tv> 0.6.1.4-4.mga6
+ Revision: 1006777
- BR ocaml-findlib-devel instead of ocaml-findlib
- add patches from FC

* Fri Feb 05 2016 umeabot <umeabot> 0.6.1.4-3.mga6
+ Revision: 937382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1.4-2.mga5
+ Revision: 743898
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 malo <malo> 0.6.1.4-1.mga5
+ Revision: 736957
- update to 0.6.1.4

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1.2-7.mga5
+ Revision: 683060
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 oden <oden> 0.6.1.2-6.mga4
+ Revision: 567709
- rebuilt for libvirt 1.2.1

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1.2-5.mga4
+ Revision: 508502
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1.2-4.mga3
+ Revision: 361447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.6.1.2-3.mga3
+ Revision: 302198
- rebuild for new ocaml 4.00

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.1.2-2.mga3
+ Revision: 301667
- new rpm group for ocaml

* Wed Jun 06 2012 malo <malo> 0.6.1.2-1.mga3
+ Revision: 256645
- update to 0.6.1.2

* Sat Oct 22 2011 malo <malo> 0.6.1.0-4.mga2
+ Revision: 157380
- missing buildrequires
- spec clean-up and rebuild for Ocaml-3.12.1

* Sat Apr 30 2011 misc <misc> 0.6.1.0-3.mga1
+ Revision: 93942
- increase license to fix upgrade from Mandriva

* Mon Mar 07 2011 saispo <saispo> 0.6.1.0-1.mga1
+ Revision: 66107
- imported package ocaml-libvirt

